package com.ssj.service.conch.parents.request.version4;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
@ApiModel("家长端APP微信授权登录")
public class ParentAuthLoginReq  extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="openid" ,value="授权公众号openid",required=true)
	private  String openid;
	@ApiModelProperty(value="授权公众号unionid",required=true)
	private  String unionid;
	@ApiModelProperty(name="alias",value="腾讯信鸽token")
	private String alias;
	@ApiModelProperty(name="platform",value="信鸽推送平台(ANDROID,IOS)")
	private String platform;
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	public String getUnionid() {
		return unionid;
	}
	public void setUnionid(String unionid) {
		this.unionid = unionid;
	}
	public String getAlias() {
		return alias;
	}
	public void setAlias(String alias) {
		this.alias = alias;
	}
	public String getPlatform() {
		return platform;
	}
	public void setPlatform(String platform) {
		this.platform = platform;
	}
}
